=== debian/changelog ===
confget (4.0.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Peter Pentchev <roam@debian.org>  Tue, 05 Oct 2021 14:04:17 +0300

confget (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Fri, 01 Oct 2021 11:49:13 +0300

confget (4.0.0-1) unstable; urgency=medium

  * New upstream release; refresh the python-no-executable patch.
  * Upload to unstable.
  * Declare compliance with Policy 4.6.0 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 30 Sep 2021 00:16:26 +0300

confget (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Wed, 12 May 2021 12:15:34 +0300

confget (3.0.0-1) experimental; urgency=medium

  * New upstream release, update the upstream copyright years.
  * Add the year 2021 to my debian/* copyright notice.
  * Declare compliance with Policy 4.5.1 with no changes.
  * Update the git-buildpackage config for the experimental branch.

 -- Peter Pentchev <roam@debian.org>  Tue, 11 May 2021 22:12:02 +0300
