## confget 4.1.0

=== debian/changelog ===
confget (4.1.0-1) unstable; urgency=medium

  * New upstream release that adds pcre2 support.
  * Build with libpcre2 instead of libpcre3. Closes: #1000030
  * Fix a minor errexit-related error in an autopkgtest script;
    the error cannot possibly be triggered in the Debian CI runs anyway.

 -- Peter Pentchev <roam@debian.org>  Sun, 28 Nov 2021 23:54:30 +0200
