=== debian/control ===
Source: confget
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libpcre2-dev,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-all,
 python3-ddt <!nocheck>,
 python3-pytest <!nocheck>,
 python3-six <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://devel.ringlet.net/textproc/confget/
Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
Rules-Requires-Root: no

Package: confget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: read variables from INI-style configuration files
 The confget utility examines a INI-style configuration file and retrieves
 the value of the specified variables from the specified section.
 Its intended use is to let shell scripts use the same INI-style
 configuration files as other programs, to avoid duplication of data.
 .
 The confget utility may retrieve the values of one or more variables,
 list all the variables in a specified section, list only those whose names
 or values match a specified pattern (shell glob or regular expression), or
 check if a variable is present in the file at all.  It has a "shell-quoting"
 output mode that quotes the variable values in a way suitable for passing
 them directly to a Bourne-style shell.

Package: python3-confget
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: read variables from INI-style configuration files - Python 3.x library
 The confget utility examines a INI-style configuration file and retrieves
 the value of the specified variables from the specified section.
 Its intended use is to let shell scripts use the same INI-style
 configuration files as other programs, to avoid duplication of data.
 .
 The confget utility may retrieve the values of one or more variables,
 list all the variables in a specified section, list only those whose names
 or values match a specified pattern (shell glob or regular expression), or
 check if a variable is present in the file at all.  It has a "shell-quoting"
 output mode that quotes the variable values in a way suitable for passing
 them directly to a Bourne-style shell.
 .
 This package contains the Python 3.x library.
