## confget 4.1.1

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,13 @@
 LFS_CPPFLAGS?=	-D_FILE_OFFSET_BITS=64
 LFS_LDFLAGS?=
 
-PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
-PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre
+# To use the PCRE2 library (default):
+PCRE_CPPFLAGS?=	-DHAVE_PCRE2 -I${LOCALBASE}/include
+PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre2-8
+
+# To use the obsolete pcre library:
+# PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
+# PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre
 
 STD_CFLAGS?=	-std=c99
 WARN_CFLAGS?=	-Wall -W
