=== debian/changelog ===
confget (4.1.1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release:
    - update the upstream copyright information
    - refresh the patch line numbers

 -- Peter Pentchev <roam@debian.org>  Sun, 11 Sep 2022 15:29:48 +0300
