=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-six <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
