=== debian/changelog ===
confget (5.1.2-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * autopkgtest: pass -O-qfeatures as a single argument to feature-check.
    Closes: #1072617
  * Use debhelper compat level 14 and let debhelper add some default
    dependencies automatically.
  * Include dpkg's default.mk, let it export flag and option variables.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * gbp.conf: use the debian/master branch again.

 -- Peter Pentchev <roam@debian.org>  Wed, 05 Jun 2024 22:55:42 +0300

confget (5.1.2-1) unstable; urgency=medium

  * Upload to unstable.
  * Make the debian/clean file really clean up the Python egg-info
    directory after it was pushed down to python/src/ in confget-2.3.4.
    Closes: #1044593
  * New upstream release:
    - update the copyright file: no copyright years, e-mail address,
      CC0 1.0 instead of public domain
    - reflect upstream's switch from setuptools to hatchling for
      the PEP 517 build:
      - update the build dependencies
      - adapt the python-no-executable patch
    - drop the python3-six build dependency
    - reflect the .pytest_cache/ directory being moved outside of python/

 -- Peter Pentchev <roam@debian.org>  Sat, 26 Aug 2023 23:28:19 +0300

confget (5.1.1-1) experimental; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Use pybuild's pyproject plugin for the Python module.
  * Drop the already commented-out adequate autopkgtest.
  * Use the debian/bookworm-freeze branch for the uploads to
    experimental before the release of Debian 12 (bookworm) and
    reflect that in the git-buildpackage config file.
  * New upstream release:
    - adapt the python-no-executable patch to modify the setup.cfg file,
      since the setuptools metadata was moved there from setup.py
    - add python3-pyparsing as a test-only build dependency
    - add the year 2023 to the upstream copyright notice

 -- Peter Pentchev <roam@debian.org>  Sun, 14 May 2023 12:34:25 +0300
