=== debian/control ===
--- 
+++ 
@@ -3,25 +3,27 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-python,
+ dpkg-build-api (= 1),
  libpcre2-dev,
 Build-Depends-Indep:
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-ddt <!nocheck>,
+ python3-hatchling,
+ python3-pyparsing <!nocheck>,
  python3-pytest <!nocheck>,
- python3-six <!nocheck>,
- python3-setuptools,
-Standards-Version: 4.6.1
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
-Rules-Requires-Root: no
 
 Package: confget
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: read variables from INI-style configuration files
  The confget utility examines a INI-style configuration file and retrieves
@@ -40,7 +42,7 @@
 Section: python
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Provides: ${python3:Provides}
