=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
-export DEB_BUILD_MAINT_OPTIONS
 
 DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
 		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
@@ -13,7 +12,10 @@
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
 	DEB_CFLAGS_MAINT_APPEND+=	-Werror
 endif
-export DEB_CFLAGS_MAINT_APPEND
+
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 export PCRE_CPPFLAGS=-DHAVE_PCRE2
 export PCRE_LIBS=-lpcre2-8
