=== debian/tests/control ===
--- 
+++ 
@@ -6,12 +6,7 @@
 Depends: @, perl, groff-base, python3-all
 Features: test-name=tap-python
 
-#Test-Command: adequate confget
-#Depends: @, adequate
-#Features: test-name=adequate
-#Restrictions: superficial
-
-Test-Command: feature-check -O -qfeatures -P '' confget BASE
+Test-Command: feature-check -O-qfeatures -P '' confget BASE
 Depends: @, feature-check
 Features: test-name=feature-check
 Restrictions: superficial
