=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/textproc/confget/ https://devel.ringlet.net/(?:files/)?textproc/confget/confget-@ANY_VERSION@@ARCHIVE_EXT@
